/*
 * Startup code for ARC BIOS executables
 */
#include <asm/asm.h>

SPB_Base		=	0x80001000
FirmwareVector_Offset	=	32

			.text

			.set	noreorder
			NESTED(_entry, 16, fp)
			la	v0,SPB_Base
			lw	v0,FirmwareVector_Offset(v0)
			lui	t0,%hi(C_LABEL(__FirmwareCallVector))
			j	C_LABEL(main)
			sw	v0,%lo(C_LABEL(__FirmwareCallVector))(t0)
			END(_entry)

			.bss
			EXPORT(__FirmwareCallVector)
			PTR	0
